com.trendmicro.ds.platform.rest.api

## Interface ISAMLServiceProviderAPI

-     @Path(value="/service-provider/saml")
       @Produces(value="application/json")
       @Consumes(value="application/json")
      public interface ISAMLServiceProviderAPI

  Interface to the SAML Identity Provider API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescribeSAMLServiceProviderResponse` | `describeSAMLServiceProvider(java.lang.String sessionID)` Describe the SAML service provider.
    `ModifySAMLServiceProviderResponse` | `modifySAMLServiceProvider(java.lang.String sessionID, ModifySAMLServiceProviderRequest request)` Modify the SAML service provider.

- - ### Method Detail

    - #### describeSAMLServiceProvider

          @GET
          DescribeSAMLServiceProviderResponse describeSAMLServiceProvider(@CookieParam(value="sID")
                                                                               java.lang.String sessionID)
                                                                        throws java.lang.Exception

      Describe the SAML service provider.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
      Returns:
        a `DescribeSAMLServiceProviderResponse` with the SAML service provider details.
      Throws:
        `java.lang.Exception`

    - #### modifySAMLServiceProvider

          @POST
          ModifySAMLServiceProviderResponse modifySAMLServiceProvider(@CookieParam(value="sID")
                                                                            java.lang.String sessionID,
                                                                            ModifySAMLServiceProviderRequest request)
                                                                     throws java.lang.Exception

      Modify the SAML service provider.

      Any unset elements in the request object will be left unchanged by the modify request.

      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `modifySAMLServiceProviderRequest` - a `ModifySAMLServiceProviderRequest` with the details of the SAML service provider.
      Returns:
        an `ModifySAMLServiceProviderResponse` with the updated SAMLServiceProvider details.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.